=== debian/changelog ===
python-defaults (2.7.15~rc1-1) unstable; urgency=medium

  * Bump version to 2.7.15~rc1.
  * debian/control.in (Michael Vogt):
    - add Cnf-Visible-Pkgname hint to ensure command-not-found recommends
      installing "python" instead of "python-minimal" when it is missing.

 -- Matthias Klose <doko@debian.org>  Mon, 16 Apr 2018 16:31:18 +0200

python-defaults (2.7.14-4) unstable; urgency=medium

  * Stop building the python-examples and idle2 packages.
  * python: Stop shipping the 2to3 symlink (now in the 2to3 package).

 -- Matthias Klose <doko@debian.org>  Wed, 13 Dec 2017 23:39:49 +0100

python-defaults (2.7.14-3) unstable; urgency=medium

  * Stop using priority extra for the -dbg packages.
  * pycompile, pyclean, pyversions: Use python2 as the shebang to guard
    against people fiddling around with the python symlink or having a
    python3 installed as python in /usr/local. Closes: #864599. LP: #1715062.
  * Rename the idle package to idle2. idle is now built for python3.
  * Fix quoting in the prerm-clean autoscript. Closes: #815134.
  * README.Debian: Reference 2.7 and point to the python3 package for the
    Debian Python Policy.
  * Mark python-examples as M-A: foreign.

 -- Matthias Klose <doko@debian.org>  Fri, 08 Dec 2017 10:56:48 +0100
