## python-defaults 2.7.15-3

=== debian/changelog ===
python-defaults (2.7.15-3) unstable; urgency=medium

  * Fix pyversions -d invocation. Closes: #900983.

 -- Matthias Klose <doko@debian.org>  Thu, 07 Jun 2018 18:57:11 +0200

python-defaults (2.7.15-2) unstable; urgency=medium

  * Don't install the pyclean and pycompile manpages in python-minimal.
  * Don't install dh_python2 manpage in python.
  * Remove unused xsl files, remove unused code in the rules file.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jun 2018 23:25:58 +0200

python-defaults (2.7.15-1) unstable; urgency=medium

  * Bump version to 2.7.15.
  * Split out a set of python2 packages, and let the python packages depend on
    it. No changes for the "-all" packages.
  * Update Vcs attributes.
  * Remove Barry Warsaw as uploader.
  * Remove the FAQ for Python2.
  * Remove the Debian Python policy, now found in the python3 package.

 -- Matthias Klose <doko@debian.org>  Wed, 06 Jun 2018 18:35:07 +0200
