=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.

export SHELL = /bin/bash

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_HOST_ARCH ?= $(shell dpkg-architecture -qDEB_HOST_ARCH)
DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
DEB_HOST_GNU_TYPE ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

changelog_values := $(shell dpkg-parsechangelog \
			| awk '/^(Version|Source):/ {print $$2}')
PKGSOURCE  := $(word 1, $(changelog_values))
PKGVERSION := $(word 2, $(changelog_values))

distribution := $(shell dpkg-vendor --query Vendor)
distrelease  := $(shell lsb_release -cs)

export VER=2.7
export NVER=2.8
export PVER=python2.7

PREVVER	:= $(shell awk '/^python/ && NR > 1 {print substr($$2,2,length($$2)-2); exit}' debian/changelog)
# first version with Multi-Arch: allowed
PREVVER := 2.7.15-1~

# not yet allowed
ma_allowed	= yes

ifeq (,$(filter $(distrelease),lenny etch squeeze wheezy lucid maverick natty oneiric precise quantal raring saucy trusty))
  bd_i586 = dpkg-dev (>= 1.17.11), python2.7:any (>= 2.7.15-1)
endif


PWD		:= $(shell pwd)

d		:= debian/tmp
scriptdir	=  usr/share/lib/python$(VER)
scriptdir	=  usr/share/python$(VER)
scriptdir	=  usr/lib/python$(VER)

rst2html	= rst2html

with_doc	= yes
ifneq ($(with_doc),yes)
  NOPKGS	= -Npython-doc
endif

build: stamp-build
build-arch: stamp-build
build-indep: stamp-build
stamp-build:
	touch stamp-build

control-file:
	sed -e "s/@PVER@/$(PVER)/g" \
	    -e "s/@NVER@/$(NVER)/g" \
	    -e "s/@VER@/$(VER)/g" \
	    -e "s/@PREVVER@/$(PREVVER)/g" \
	    -e "s/@bd_i586@/$(bd_i586)/g" \
		<debian/control.in \
	    $(if $(ma_allowed),,| grep -v '^Multi-Arch: allowed$$') \
		>debian/control.tmp
ifeq ($(distribution),Ubuntu)
  ifneq (,$(findstring ubuntu, $(PKGVERSION)))
	m='Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>'; \
	sed -i "/^Maintainer:/s/\(.*\)/Maintainer: $$m\nXSBC-Original-\1/" \
	  debian/control.tmp
  endif
endif
	[ -e debian/control ] \
	  && cmp -s debian/control debian/control.tmp \
	  && rm -f debian/control.tmp && exit 0; \
	  mv debian/control.tmp debian/control

MANPAGES ?= dh_python2.1 pycompile.1 pyclean.1

%.1: %.rst
	rst2man $< > $@

# Manually run this rule if there is a need to update the dh_python2 man pages
make-man: $(MANPAGES)
	cd pydist && \
	rst2html README.PyDist > README.PyDist.html

clean: control-file
	dh_testdir
	dh_testroot
	rm -f stamp-*
	rm -f patch-stamp*

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
	        rm -f $$f2; \
	    fi; \
	done
	rm -f debian/*.py[co]
	make clean
	dh_clean

stamp-control:
	: # We have to prepare the various control files

	set -e;\
	for f in debian/*.in; do \
	    f2=`echo $$f | sed "s,PVER,$(PVER),g;s/VER/$(VER)/g;s,\.in$$,,"`; \
	    if [ $$f2 != debian/control ]; then \
		sed -e "s/@PVER@/$(PVER)/g;s/@VER@/$(VER)/g" \
		    -e "s/@PRIORITY@/$(PRIORITY)/g" \
		    -e "s,@SCRIPTDIR@,/$(scriptdir),g" \
		  <$$f >$$f2; \
	    fi; \
	done

install: build stamp-dh_python stamp-install
stamp-install: stamp-build control-file stamp-control
	dh_testdir
	dh_testroot
	dh_installdirs -ppython usr/share/doc/python
	dh_install

	touch stamp-install

stamp-dh_python:
	dh_testdir
	dh_testroot
	dh_installdirs
	-make check_versions
	DESTDIR=debian/python2 PREFIX=/usr make install-dev
	DESTDIR=debian/python2-minimal PREFIX=/usr make install-runtime
	# disabled by default, run manually if you want to update it
	# (requires apt-file and network connection)
	#make -C pydist dist_fallback
	touch $@

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir -i
	dh_testroot -i
	dh_installman -i

ifeq ($(with_doc),yes)
	dh_installdocs -ppython-doc -ppython2-doc debian/README.Debian
	dh_installchangelogs -ppython-doc -ppython2-doc
	mkdir -p debian/python-doc/usr/share/doc/python
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python/html
	mkdir -p debian/python-doc/usr/share/doc/python-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python-doc/usr/share/doc/python-doc/html

	mkdir -p debian/python2-doc/usr/share/doc/python2
	ln -sf ../python$(VER)-doc/html \
		debian/python2-doc/usr/share/doc/python2/html
	mkdir -p debian/python2-doc/usr/share/doc/python2-doc
	ln -sf ../python$(VER)-doc/html \
		debian/python2-doc/usr/share/doc/python2-doc/html
endif

#	dh_installdebconf -i $(NOPKGS)
	dh_lintian -i
	dh_installdocs -i $(NOPKGS) --all debian/README.Debian
	dh_installchangelogs -i $(NOPKGS)

	dh_compress -i $(NOPKGS)
	dh_fixperms -i $(NOPKGS)
	dh_installdeb -i $(NOPKGS)
	dh_gencontrol -i $(NOPKGS)
	dh_md5sums -i $(NOPKGS)
	dh_builddeb -i $(NOPKGS)

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir -a
	dh_testroot -a
	dh_installman -a

	: # provide the python2 and python2.1 defaults
	mkdir -p debian/python2-minimal/usr/bin
	ln -sf python$(VER) debian/python2-minimal/usr/bin/python2
	mkdir -p debian/python2-minimal/usr/share/man/man1
	ln -sf python$(VER).1.gz \
		debian/python2-minimal/usr/share/man/man1/python2.1.gz

	: # provide the python and python.1 defaults
	mkdir -p debian/python-minimal/usr/bin
	ln -sf python2 debian/python-minimal/usr/bin/python
	mkdir -p debian/python-minimal/usr/share/man/man1
	ln -sf python2.1.gz \
		debian/python-minimal/usr/share/man/man1/python.1.gz

	: # 
	mkdir -p debian/python2-minimal/usr/share/python
	cp -p debian/debian_defaults \
		debian/python2-minimal/usr/share/python/

	install -m 755 debian/pyversions.py \
		debian/python2-minimal/usr/share/python/
	install -m 644 debian/pyversions.1 \
		debian/python2-minimal/usr/share/man/man1/
	dh_link -ppython2-minimal /usr/share/python/pyversions.py /usr/bin/pyversions

	mkdir -p debian/python2/usr/bin
	ln -sf pydoc$(VER) debian/python2/usr/bin/pydoc2
	ln -sf pygettext$(VER) debian/python2/usr/bin/pygettext2
	ln -sf pdb$(VER) debian/python2/usr/bin/pdb2

	mkdir -p debian/python/usr/bin
	ln -sf pydoc2 debian/python/usr/bin/pydoc
	ln -sf pygettext2 debian/python/usr/bin/pygettext
	ln -sf pdb2 debian/python/usr/bin/pdb

	mkdir -p debian/python2/usr/share/python
	install -m 644 debian/python.mk \
		debian/python2/usr/share/python/

	mkdir -p debian/python2/usr/share/man/man1
	ln -sf pydoc$(VER).1.gz \
		debian/python2/usr/share/man/man1/pydoc2.1.gz
	ln -sf pygettext$(VER).1.gz \
		debian/python2/usr/share/man/man1/pygettext2.1.gz
	ln -sf pdb$(VER).1.gz \
		debian/python2/usr/share/man/man1/pdb2.1.gz

	mkdir -p debian/python/usr/share/man/man1
	ln -sf pydoc2.1.gz \
		debian/python/usr/share/man/man1/pydoc.1.gz
	ln -sf pygettext2.1.gz \
		debian/python/usr/share/man/man1/pygettext.1.gz
	ln -sf pdb2.1.gz \
		debian/python/usr/share/man/man1/pdb.1.gz

	mkdir -p debian/python2/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python2/usr/share/pixmaps/python2.xpm

	mkdir -p debian/python/usr/share/pixmaps
	ln -sf python$(VER).xpm debian/python/usr/share/pixmaps/python.xpm

	mkdir -p debian/python2/usr/share/apps/konsole
	cp -p debian/python2.desktop debian/python2/usr/share/apps/konsole/

	mkdir -p debian/python/usr/share/apps/konsole
	cp -p debian/python.desktop debian/python/usr/share/apps/konsole/

	: # provide the python2-config default
	mkdir -p debian/python2-dev/usr/bin
	ln -sf python$(VER)-config debian/python2-dev/usr/bin/python2-config
	mkdir -p debian/python2-dev/usr/share/man/man1
	ln -sf python$(VER)-config.1.gz \
		debian/python2-dev/usr/share/man/man1/python2-config.1.gz

	: # provide the python-config default
	mkdir -p debian/python-dev/usr/bin
	ln -sf python2-config debian/python-dev/usr/bin/python-config
	mkdir -p debian/python-dev/usr/share/man/man1
	ln -sf python2-config.1.gz \
		debian/python-dev/usr/share/man/man1/python-config.1.gz

	: # provide pkgconfig defaults
	mkdir -p debian/python2-dev/usr/lib/$(DEB_HOST_MULTIARCH)/pkgconfig
